#include <vector>

typedef double coord_t;   // coordinate type
typedef double coord2_t;  // must be big enough to hold 2*max(|coordinate|)^2

struct Point {
        coord_t x, y, z; // x -> RA, y -> DEC, z -> ROLL

        bool operator <(const Point &p) const {
          return ( (x < p.x) || (x == p.x && y < p.y) || (x == p.x && y == p.y && z < p.z) );
        }

        bool operator==(const Point& aa) const
        {
          return (x == aa.x && y == aa.y && z == aa.z);
        }
};

coord2_t cross(const Point &O, const Point &A, const Point &B);

vector<Point> convex_hull(vector<Point> P);

